import { select, arc } from 'd3';

const svg = select('svg');
svg.style('background-color','green');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);

const rectangle = g.append('rect')
  .attr('x', '-200')
  .attr('y','-200')
  .attr('width', '400')
  .attr('height', '400')
  .attr('fill', '#bfd897')
  .attr('stroke','black')
;

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius = 40;
const eyebrowWidth = 70;
const eyebrowHeight = 15;
const eyebrowYOffset = -70;

const eyesG = g
  .append('g')
    .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
  .append('circle')
    .attr('r', eyeRadius-15)
    .attr('cx', -eyeSpacing+0)
    .attr('fill','none')
    .attr('fill','red')
    .attr('stroke','black');

const rightEye = eyesG
  .append('circle')
    .attr('r', eyeRadius-15)
    .attr('cx', eyeSpacing)
    .attr('fill','red')
    .attr('stroke','black');


const specl = eyesG
  .append('rect')
    .attr('x', -160)
    .attr('y',-40)
    .attr('width', 120)
    .attr('height',80)
    .attr('fill','none')
    .attr('stroke','black')
    .attr('stroke-width','10');

const specr = eyesG
  .append('rect')
    .attr('x', 40)
    .attr('y',-40)
    .attr('width', 120)
    .attr('height',80)
    .attr('fill','none')
    .attr('stroke','black')
    .attr('stroke-width','10');

const specrframe = eyesG
  .append('line')
    .attr('x1',-45)
    .attr('y1',0)
    .attr('x2',40)
    .attr('y2',0)
    .attr('stroke','black')
    .attr('stroke-width',10)

const specrframel = eyesG
  .append('line')
    .attr('x1',-200)
    .attr('y1',0)
    .attr('x2',-160)
    .attr('y2',0)
    .attr('stroke','black')
    .attr('stroke-width',10)

const specrframer = eyesG
  .append('line')
    .attr('x1',160)
    .attr('y1',0)
    .attr('x2',202)
    .attr('y2',0)
    .attr('stroke','black')
    .attr('stroke-width',10)

const eyebrowsG = eyesG
  .append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

const specs = eyesG
  .append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

eyebrowsG
  .transition().duration(1000)
    .attr('transform', `translate(0, ${eyebrowYOffset - 20})`)
  .transition().duration(4000)
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

const leftEyebrow = eyebrowsG
  .append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)
    .attr('transform', `rotate(25)translate(2, 20)`);

const rightEyebrow = eyebrowsG
  .append('rect')
    .attr('x', eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)
    .attr('transform', `rotate(-25)translate(2, 20)`);


const mouth = g
  .append('path')
    .attr('d', arc()({
      innerRadius: 134,
      outerRadius: 160,
      startAngle: Math.PI,
      endAngle: Math.PI * 3 / 2
    }));